Bug 380091 - Review Request: ruby-marc - Ruby library for MARC catalog
Review Request: ruby-marc - Ruby library for MARC catalog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 09:26 EST by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 08:21:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-11-13 09:26:54 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-marc/ruby-marc.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-marc/ruby-marc-0.1.7-1.fc8.src.rpm
Description: 
marc is a ruby library for reading and writing MAchine Readable Cataloging
(MARC). More information about MARC can be found at <http://www.loc.gov/marc>.

koji build is successful on dist-f9.
http://koji.fedoraproject.org/koji/taskinfo?taskID=239379
Comment 1 Debarshi Ray 2007-11-18 02:07:32 EST
MUST Items: 

OK - rpmlint is clean on SRPM, RPM and installed package
OK - is a Ruby library and follows Ruby Naming Guidelines
OK - spec file is named as %{name}.spec
OK - package meets Packaging Guidelines and Ruby Packaging Guidelines
OK - license meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets not needed
OK - subpackages not needed
OK - no pkgconfig files
OK - no file dependencies

+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 2 Debarshi Ray 2007-11-18 02:11:49 EST
By the way, as per the Ruby Packaging Guidelines
(http://fedoraproject.org/wiki/Packaging/Ruby) it is enough to have:

Provides:       ruby(%{modname}) = %{version}

I am curious as to why you included %{release} also?

NB: This does not change the status of the review.
Comment 3 Mamoru TASAKA 2007-11-18 02:16:11 EST
Thanks!

(In reply to comment #2)
> By the way, as per the Ruby Packaging Guidelines
> (http://fedoraproject.org/wiki/Packaging/Ruby) it is enough to have:
> Provides:       ruby(%{modname}) = %{version}
> I am curious as to why you included %{release} also?
 Because I think it is natural to add %{release} .

-------------------------------------------------------------
New Package CVS Request
=======================
Package Name:        ruby-marc
Short Description:   Ruby library for MARC catalog
Owners:              mtasaka
Branches:            F-7 F-8
Cvsextras Commits:   yes
Comment 4 Kevin Fenzi 2007-11-18 13:52:34 EST
cvs done.
Comment 5 Mamoru TASAKA 2007-11-19 08:21:22 EST
Rebuild done, requested on bodhi, closing.

Thank you for your review!

Note You need to log in before you can comment on or make changes to this bug.